Name:           mysql-proxy
Version:        0.8.1
Release:        13.1
Summary:        A proxy for the MySQL Client/Server protocol
Group:          Applications/Databases
License:        GPLv2
Source0:        %{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.cnf
Source4:	%{name}.logrotate
PreReq:         /usr/sbin/useradd /usr/sbin/groupadd %{?insserv_prereq:%insserv_prereq} %{?fillup_prereq:%fillup_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	logrotate
BuildRequires:	mysql-devel glib2-devel >= 2.16.0 gawk flex lua-devel >= 5.1
%if 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:	libevent-devel check-devel
%endif
%if 0%{?sles_version} == 10
BuildRequires:	libevent
%endif
%if 0%{?sles_version} == 11
BuildRequires:	libevent-devel check-devel
%endif


%description
MySQL Proxy is a simple program that sits between your client and MySQL
server(s) that can monitor, analyze or transform their communication.
Its flexibility allows for unlimited uses, common ones include: load balancing,
failover, query analysis, query filtering and modification and many more.

%package devel
Group:		Applications/Databases
Summary:	Development package for mysql-proxy
Requires:	glib2-devel libevent-devel lua-devel glibc-devel mysql-proxy = %{version}

%description devel
MySQL Proxy devel libs


%prep
%setup -q -n %{name}-%{version}

%build
%configure
%__make %{?_smp_mflags}


%install
%__make install DESTDIR=%{buildroot}
install -d -m 0755 %{buildroot}/var/{lib,run}/%{name}
install -d -m 0755 %{buildroot}%{_sbindir}
install -D -m 0755 %{S:1} %{buildroot}/etc/init.d/%{name}
ln -sv ../../etc/init.d/%{name} %{buildroot}/%{_sbindir}/rc%{name}
install -D -m 0644 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.mysql-proxy
sed -i s@"%LIB%"@"%{_lib}"@g %{buildroot}/var/adm/fillup-templates/sysconfig.mysql-proxy
install -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/%{name}.cnf
sed -i s@"%LIB%"@"%{_lib}"@g %{buildroot}%{_sysconfdir}/%{name}.cnf
cp lib/*.lua %{buildroot}%{_libdir}/mysql-proxy/lua/
install -D -m 0644 %{S:4} %{buildroot}%{_sysconfdir}/logrotate.d/mysql-proxy
mkdir -p %{buildroot}/var/log/mysql-proxy
rm -fv examples/Makefile*
rm -fv examples/CMakeLists.txt
rm -f %{buildroot}%{_libdir}/mysql-proxy/lua/*.la
rm -f %{buildroot}%{_libdir}/mysql-proxy/plugins/*.la

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/groupadd -r %{name} &>/dev/null || :
/usr/sbin/useradd -r -g %{name} -s /bin/false -c "Daemon user for MySQL Proxy" \
 -d /var/lib/%{name} %{name} 2> /dev/null ||:
 
%post
/sbin/ldconfig
%{?fillup_and_insserv:%fillup_and_insserv -n %{name} %{name}}
 
%preun
%{?stop_on_removal:%stop_on_removal %{name}}
 
%postun
/sbin/ldconfig
%{?restart_on_update:%restart_on_update %{name}}
%{?insserv_cleanup:%insserv_cleanup}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%doc examples/
%config(noreplace) %attr(0600,mysql-proxy,mysql-proxy) %{_sysconfdir}/%{name}.cnf
%config %{_sysconfdir}/logrotate.d/mysql-proxy
%{_sbindir}/rc%{name}
/etc/init.d/%{name}
%{_bindir}/%{name}
%{_bindir}/mysql-binlog-dump
%{_bindir}/mysql-myisam-dump
%{_libdir}/libmysql-chassis.so.0.0.0
%{_libdir}/libmysql-proxy.so.0.0.0
%{_libdir}/libmysql-chassis-glibext.so.0.0.0
%{_libdir}/libmysql-chassis-timing.so.0.0.0
%dir %{_libdir}/mysql-proxy
%dir %{_libdir}/mysql-proxy/lua
%dir %{_libdir}/mysql-proxy/lua/proxy
%dir %{_libdir}/mysql-proxy/plugins
%{_libdir}/mysql-proxy/lua/admin.lua
%{_libdir}/mysql-proxy/lua/active-queries.lua
%{_libdir}/mysql-proxy/lua/active-transactions.lua
%{_libdir}/mysql-proxy/lua/admin.lua
%{_libdir}/mysql-proxy/lua/admin-sql.lua
%{_libdir}/mysql-proxy/lua/analyze-query.lua
%{_libdir}/mysql-proxy/lua/auditing.lua
%{_libdir}/mysql-proxy/lua/commit-obfuscator.lua
%{_libdir}/mysql-proxy/lua/histogram.lua
%{_libdir}/mysql-proxy/lua/load-multi.lua
%{_libdir}/mysql-proxy/lua/ro-balance.lua
%{_libdir}/mysql-proxy/lua/ro-pooling.lua
%{_libdir}/mysql-proxy/lua/rw-splitting.lua
%{_libdir}/mysql-proxy/lua/xtab.lua
%{_libdir}/mysql-proxy/lua/chassis.so
%{_libdir}/mysql-proxy/lua/glib2.so
%{_libdir}/mysql-proxy/lua/lfs.so
%{_libdir}/mysql-proxy/lua/lpeg.so
%{_libdir}/mysql-proxy/lua/mysql.so
%{_libdir}/mysql-proxy/lua/posix.so
%{_libdir}/mysql-proxy/lua/proxy/auto-config.lua
%{_libdir}/mysql-proxy/lua/proxy/balance.lua
%{_libdir}/mysql-proxy/lua/proxy/commands.lua
%{_libdir}/mysql-proxy/lua/proxy/parser.lua
%{_libdir}/mysql-proxy/lua/proxy/test.lua
%{_libdir}/mysql-proxy/lua/proxy/tokenizer.lua
%{_libdir}/mysql-proxy/plugins/libadmin.so
%{_libdir}/mysql-proxy/plugins/libdebug.so
%{_libdir}/mysql-proxy/plugins/libproxy.so
%{_libdir}/mysql-proxy/plugins/libreplicant.so
%attr(755,mysql-proxy,mysql-proxy)/var/run/%{name}
/var/adm/fillup-templates/sysconfig.%{name}
%defattr(-,mysql-proxy,mysql-proxy)
%dir /var/log/mysql-proxy

%files devel
%defattr(-,root,root)
%{_includedir}/chassis-event-thread.h
%{_includedir}/chassis-exports.h
%{_includedir}/chassis-filemode.h
%{_includedir}/chassis-frontend.h
%{_includedir}/chassis-gtimeval.h
%{_includedir}/chassis-keyfile.h
%{_includedir}/chassis-limits.h
%{_includedir}/chassis-log.h
%{_includedir}/chassis-mainloop.h
%{_includedir}/chassis-options.h
%{_includedir}/chassis-path.h
%{_includedir}/chassis-plugin.h
%{_includedir}/chassis-shutdown-hooks.h
%{_includedir}/chassis-stats.h
%{_includedir}/chassis-timings.h
%{_includedir}/chassis-unix-daemon.h
%{_includedir}/chassis-win32-service.h
%{_includedir}/disable-dtrace.h
%{_includedir}/glib-ext-ref.h
%{_includedir}/glib-ext.h
%{_includedir}/lua-env.h
%{_includedir}/lua-load-factory.h
%{_includedir}/lua-registry-keys.h
%{_includedir}/lua-scope.h
%{_includedir}/my_rdtsc.h
%{_includedir}/network-address-lua.h
%{_includedir}/network-address.h
%{_includedir}/network-backend-lua.h
%{_includedir}/network-backend.h
%{_includedir}/network-conn-pool-lua.h
%{_includedir}/network-conn-pool.h
%{_includedir}/network-exports.h
%{_includedir}/network-injection-lua.h
%{_includedir}/network-injection.h
%{_includedir}/network-mysqld-binlog.h
%{_includedir}/network-mysqld-lua.h
%{_includedir}/network-mysqld-masterinfo.h
%{_includedir}/network-mysqld-packet.h
%{_includedir}/network-mysqld-proto.h
%{_includedir}/network-mysqld.h
%{_includedir}/network-queue.h
%{_includedir}/network-socket-lua.h
%{_includedir}/network-socket.h
%{_includedir}/string-len.h
%{_includedir}/sys-pedantic.h
%{_libdir}/libmysql-chassis.so
%{_libdir}/libmysql-proxy.so
%{_libdir}/libmysql-chassis.so.0
%{_libdir}/libmysql-proxy.so.0
%{_libdir}/libmysql-chassis-glibext.so
%{_libdir}/libmysql-chassis-glibext.so.0
%{_libdir}/libmysql-chassis-timing.so
%{_libdir}/libmysql-chassis-timing.so.0
%{_libdir}/libmysql-chassis.la
%{_libdir}/libmysql-proxy.la
%{_libdir}/libmysql-chassis-glibext.la
%{_libdir}/libmysql-chassis-timing.la
%{_libdir}/pkgconfig/mysql-chassis.pc
%{_libdir}/pkgconfig/mysql-proxy.pc

%changelog
* Thu Jul 14 2011 cs@linux-administrator.com
- added mysql-proxy sysconfig & init script
- add mysql-proxy user on install
- cleanup spec
